Name:		xfdashboard
Version:	0.1.90
Release:	1%{?dist}
Summary:	GNOME shell like dashboard for Xfce

License:	GPLv2+
URL:		https://github.com/gmc-holle/xfdashboard
Source0:	https://github.com/gmc-holle/xfdashboard/archive/%{version}.tar.gz

BuildRequires:	libwnck-devel
BuildRequires:	clutter-devel
BuildRequires:	xfconf-devel
BuildRequires:	garcon-devel
BuildRequires:	libtool
BuildRequires:	xfce4-dev-tools
BuildRequires:	libICE-devel

%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
./autogen.sh --prefix=%{_prefix}
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/xfdashboard
%{_datadir}/themes/%{name}/%{name}-1.0/%{name}.css
%{_datadir}/themes/%{name}/%{name}-1.0/%{name}.theme
%{_datadir}/themes/%{name}/%{name}-1.0/%{name}.xml

%changelog
* Fri May 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.90-1
- Update to 0.1.90
- multiple bug fixes and improvements

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-2
- Updated to 0.1.6
- Added xfdashboard.xml to files section

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-1
- Updated to 0.1.6

* Sat Mar 8 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.5-1
- Updated to latest release containing new enhancements

* Tue Feb 25 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-2
- Patch for enabling workspace switching added
- Upstream bug - issue#1 on github

* Mon Feb 24 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-1
- Updated to the latest upstream version
- Includes theming support (provides a default theme)

* Tue Feb 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Updated to the latest upstream version

* Mon Feb 10 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-3
- Corrected flags used for building the package
- Edited the description

* Sun Feb 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-2
- Corrected version used for packaging
- Added the doc files

* Wed Jan 29 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Initial build for Fedora
